package com.zfire.jiasm.syncdata.download.other.install;

import lombok.extern.slf4j.Slf4j;

/** 未上线 新做的接口
 * 新增质量信息反馈
 */
@Slf4j
// @Component
public class DataAddFeedback {
    /*
    @Resource
    TblAddUploadListService tblAddUploadListService;
    @Resource
    OtherDownService otherDownService;



    @Scheduled(fixedDelayString = "${xzzlfk}")
    public void add(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        log.info("开始新增质量信息反馈: \uF0B7{}",sdf.format(new Date()));
        // 提取家用特殊安装工单需要新增的数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getSynStatus, 0)
                .eq(TblAddUploadList::getTabName, "quality_feedback_head_download").list();
        for (TblAddUploadList item : taus) {
            try{
                otherDownService.addFeedBack(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("新增质量信息反馈【" + item.getId() +"】失败");
            }
        }
        log.info("新增质量信息反馈结束: \uF0B7{}",sdf.format(new Date()));
    }*/
}
